Bug 842826 - Fedora 17 sys-unconfig not working without X
Fedora 17 sys-unconfig not working without X
Status: CLOSED WONTFIX
Product: Fedora
Classification: Fedora
Component: initscripts (Show other bugs)
17
Unspecified Unspecified
unspecified Severity unspecified
: ---
: ---
Assigned To: Bill Nottingham
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2012-07-24 12:40 EDT by Scott Poore
Modified: 2014-03-16 23:31 EDT (History)
8 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2013-08-01 01:43:33 EDT
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Scott Poore 2012-07-24 12:40:56 EDT
Description of problem:

Cannot set a Fedora 17 system to reconfigure on next boot.  I tried sys-unconfig like I would normally do but, after boot, it just came back up without prompting me to reset passwd, network, etc.

I see that the fedora-configure service looks for /.unconfigured and runs fedora-configure.  That however runs firstboot which doesn't run if X isn't configured.

Is there another way to do this in Fedora 17?

Version-Release number of selected component (if applicable):
initscripts-9.37.1-1.fc17.x86_64

How reproducible:
always

Steps to Reproduce:
1. Install F17 with minimal package selection
2. Install firstboot if not installed
3. sys-unconfig
halts but, doesn't prompt for configs
4. /lib/systemd/fedora-configure
doesn't prompt. 
 
Actual results:
server halts and /.unconfigured is created.  However, nothing prompts for reconfiguring the system on boot.

running fedora-configure fails:
[root@vm0 system]# /lib/systemd/fedora-configure
INFO:firstboot.frontend:setting LANG to en_US.UTF-8
INFO:firstboot.frontend:starting the Xorg server
CRITICAL:firstboot.frontend:Xorg server failed to start: 
Resetting hostname vm0.example.com:                        [  OK  ]


Expected results:
sys-unconfig should set fedora-configure.service to run on next boot.

fedora-configure.service should run something that doesn't require X.  

Additional info:

I would have expected the /lib/systemd/fedora-configure script to have included some of the code that the old rc.sysinit had for supporting sys-unconfig.  

Is that provided elsewhere?
Comment 1 Lukáš Nykrýn 2012-07-25 07:58:28 EDT
In the past, firstboot called setup from setuptool if X server was not present, but anyway setup is not right tool for this job. Perhaps we can check return of firstboot and in the case that it fails, run some setup-* stuff like in <= F14. Better way would be to check if we have working X server, but now I can't remeber any easy and nice way how to do it.
Comment 2 Scott Poore 2012-07-25 14:23:16 EDT
Oh, I was thinking fedora-configure script should just check for /.unconfigured and relevant system-config-* commands and run them...

From /etc/rc.d/rc.sysinit from a RHEL6 build:

if [ -f /.unconfigured ]; then

    if [ -x /bin/plymouth ]; then
        /bin/plymouth quit
    fi

    if [ -x /usr/bin/system-config-keyboard ]; then
        /usr/bin/system-config-keyboard
    fi
    if [ -x /usr/bin/passwd ]; then
        /usr/bin/passwd root
    fi
    if [ -x /usr/sbin/system-config-network-tui ]; then
        /usr/sbin/system-config-network-tui
    fi
    if [ -x /usr/sbin/timeconfig ]; then
        /usr/sbin/timeconfig
    fi
    if [ -x /usr/sbin/authconfig-tui ]; then
        /usr/sbin/authconfig-tui --nostart
    fi
    if [ -x /usr/sbin/ntsysv ]; then
        /usr/sbin/ntsysv --level 35
    fi

    # Reread in network configuration data.
    if [ -f /etc/sysconfig/network ]; then
        . /etc/sysconfig/network

        # Reset the hostname.
        action $"Resetting hostname ${HOSTNAME}: " hostname ${HOSTNAME}
    fi

    rm -f /.unconfigured
fi

That's what I was thinking but, I realize that may not be the intended direction for how to handle this.
Comment 3 Bill Nottingham 2012-07-25 15:52:48 EDT
The issue is that not all of these tools remain, and maintaining this sort of infrastructure in initscripts isn't the right way to go about it.
Comment 4 Scott Poore 2012-07-25 16:21:51 EDT
Is there a plan for how to handle the sys-unconfig functionality?

What provides this functionality in the meantime?  Put something like my previous example into rc.local?
Comment 5 Bill Nottingham 2012-07-25 17:30:44 EDT
(In reply to comment #4)
> Is there a plan for how to handle the sys-unconfig functionality?

TBD - just stating that (for example)

- s-c-network, s-c-keyboard, and timeconfig are all dead or dying
- ntsysv doesn't handle systemd services
etc.

and it's not in the scope of initscripts to reimplement all of these.
Comment 6 Scott Poore 2012-08-02 12:09:23 EDT
Do we know when this may be determined on what the future direction is?

Not having sys-unconfig may be just an annoyance for me but, it may be more important to someone else.  Especially for server/VM templating like I was using it.

Thanks,
Scott
Comment 7 Fedora End Of Life 2013-07-03 21:22:23 EDT
This message is a reminder that Fedora 17 is nearing its end of life.
Approximately 4 (four) weeks from now Fedora will stop maintaining
and issuing updates for Fedora 17. It is Fedora's policy to close all
bug reports from releases that are no longer maintained. At that time
this bug will be closed as WONTFIX if it remains open with a Fedora 
'version' of '17'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version prior to Fedora 17's end of life.

Bug Reporter:  Thank you for reporting this issue and we are sorry that 
we may not be able to fix it before Fedora 17 is end of life. If you 
would still like  to see this bug fixed and are able to reproduce it 
against a later version  of Fedora, you are encouraged  change the 
'version' to a later Fedora version prior to Fedora 17's end of life.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events. Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.
Comment 8 Fedora End Of Life 2013-08-01 01:43:39 EDT
Fedora 17 changed to end-of-life (EOL) status on 2013-07-30. Fedora 17 is 
no longer maintained, which means that it will not receive any further 
security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of 
Fedora please feel free to reopen this bug against that version.

Thank you for reporting this bug and we are sorry it could not be fixed.

Note You need to log in before you can comment on or make changes to this bug.